test_util.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <cmath>`
`#include <string>`
`#include "hwy/aligned_allocator.h"`
`#include "hwy/base.h"`
`#include "hwy/highway.h"`
`#include "hwy/highway_export.h"`
`#include "hwy/print.h"`

Go to the source code of this file.

## Classes

class | hwy::RandomState

## Namespaces

namespace | hwy
namespace | hwy::detail

## Functions

static HWY_INLINE uint32_t | hwy::Random32 (RandomState *rng)
static HWY_INLINE uint64_t | hwy::Random64 (RandomState *rng)
template<class T >
void | hwy::PreventElision (T &&output)
HWY_TEST_DLLEXPORT bool | hwy::BytesEqual (const void *p1, const void *p2, const size_t size, size_t *pos=nullptr)
void | hwy::AssertStringEqual (const char *expected, const char *actual, const char *target_name, const char *filename, int line)
template<typename T , typename TU = MakeUnsigned<T>>
TU | hwy::detail::ComputeUlpDelta (const T expected, const T actual)
HWY_TEST_DLLEXPORT bool | hwy::detail::IsEqual (const TypeInfo &info, const void *expected_ptr, const void *actual_ptr)
HWY_TEST_DLLEXPORT HWY_NORETURN void | hwy::detail::PrintMismatchAndAbort (const TypeInfo &info, const void *expected_ptr, const void *actual_ptr, const char *target_name, const char *filename, int line, size_t lane=0, size_t num_lanes=1)
HWY_TEST_DLLEXPORT void | hwy::detail::AssertArrayEqual (const TypeInfo &info, const void *expected_void, const void *actual_void, size_t N, const char *target_name, const char *filename, int line)
template<typename T >
std::string | hwy::TypeName (T, size_t N)
template<typename T >
HWY_INLINE bool | hwy::IsEqual (const T expected, const T actual)
template<typename T >
HWY_INLINE void | hwy::AssertEqual (const T expected, const T actual, const char *target_name, const char *filename, int line, size_t lane=0)
template<typename T >
HWY_INLINE void | hwy::AssertArrayEqual (const T *expected, const T *actual, size_t count, const char *target_name, const char *filename, int line)

## Variables

constexpr size_t | hwy::kTestMaxVectorSize = 64